#pragma once

#include "../../../GAME_COMMON.h"
#include "../../ecs_entity.h"

#define COMPONENT_LEVEL_VALUE 1

typedef struct ComponentLevel
{
	ECSComponent component;
	u32 value;
} ComponentLevel;

void component_level_init(ComponentLevel* self, u32 value);
void component_level_add(ComponentLevel* self, ECS* ecs);

static const ECSComponentInfo COMPONENT_LEVEL_INFO = 
{
	.system = 
	{
		.functions = 
		{ 
			(ECSFunction)component_level_add,
			NULL,
			NULL,
			NULL
		}
	},
	.type = ECS_COMPONENT_LEVEL,
	.size = sizeof(ComponentLevel)
};
